wxWidgets: wxMask Class Reference

| Version: 3.0.2

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
wxMask Class Reference
Graphics Device Interface (GDI)

`#include <wx/bitmap.h>`

Inheritance diagram for wxMask:
[legend]

## Detailed Description

This class encapsulates a monochrome mask bitmap, where the masked area is black and the unmasked area is white.

When associated with a bitmap and drawn in a device context, the unmasked area of the bitmap will be drawn, and the masked area will not be drawn.

##

Library: wxCore
Category: Graphics Device Interface (GDI)

See Also
  wxBitmap, wxDC::Blit, wxMemoryDC

## Public Member Functions
| wxMask ()
| Default constructor.
| wxMask (const wxBitmap &bitmap, int index)
| Constructs a mask from a bitmap and a palette index that indicates the background.
| wxMask (const wxBitmap &bitmap)
| Constructs a mask from a monochrome bitmap.
| wxMask (const wxBitmap &bitmap, const wxColour &colour)
| Constructs a mask from a bitmap and a colour that indicates the background.
virtual | ~wxMask ()
| Destroys the wxMask object and the underlying bitmap data.
bool | Create (const wxBitmap &bitmap, int index)
| Constructs a mask from a bitmap and a palette index that indicates the background.
bool | Create (const wxBitmap &bitmap)
| Constructs a mask from a monochrome bitmap.
bool | Create (const wxBitmap &bitmap, const wxColour &colour)
| Constructs a mask from a bitmap and a colour that indicates the background.
wxBitmap | GetBitmap () const
| Returns the mask as a monochrome bitmap.
Public Member Functions inherited from wxObject
| wxObject ()
| Default ctor; initializes to NULL the internal reference data.
| wxObject (const wxObject &other)
| Copy ctor.
virtual | ~wxObject ()
| Destructor.
virtual wxClassInfo * | GetClassInfo () const
| This virtual function is redefined for every class that requires run-time type information, when using the wxDECLARE_CLASS macro (or similar).
wxObjectRefData * | GetRefData () const
| Returns the wxObject::m_refData pointer, i.e. the data referenced by this object.
bool | IsKindOf (const wxClassInfo *info) const
| Determines whether this class is a subclass of (or the same class as) the given class.
bool | IsSameAs (const wxObject &obj) const
| Returns true if this object has the same data pointer as obj.
void | Ref (const wxObject &clone)
| Makes this object refer to the data in clone.
void | SetRefData (wxObjectRefData *data)
| Sets the wxObject::m_refData pointer.
void | UnRef ()
| Decrements the reference count in the associated data, and if it is zero, deletes the data.
void | UnShare ()
| This is the same of AllocExclusive() but this method is public.
void | operator delete (void *buf)
| The delete operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined.
void * | operator new (size_t size, const wxString &filename=NULL, int lineNum=0)
| The new operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined.

## Additional Inherited Members
Protected Member Functions inherited from wxObject
void | AllocExclusive ()
| Ensure that this object's data is not shared with any other object.
virtual wxObjectRefData * | CreateRefData () const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and returns it.
virtual wxObjectRefData * | CloneRefData (const wxObjectRefData *data) const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and initializes it copying data.
Protected Attributes inherited from wxObject
wxObjectRefData * | m_refData
| Pointer to an object which is the object's reference-counted data.

## Constructor & Destructor Documentation

wxMask::wxMask | ( |  | ) |

Default constructor.

wxMask::wxMask | ( | const wxBitmap & | bitmap,
|  | int | index
| ) |  |

Constructs a mask from a bitmap and a palette index that indicates the background.

Not implemented for GTK.

Parameters

  bitmap | A valid bitmap.
  index | Index into a palette, specifying the transparency colour.

wxMask::wxMask | ( | const wxBitmap & | bitmap | ) |

Constructs a mask from a monochrome bitmap.

wxMask::wxMask | ( | const wxBitmap & | bitmap,
|  | const wxColour & | colour
| ) |  |

Constructs a mask from a bitmap and a colour that indicates the background.

virtual wxMask::~wxMask | ( |  | ) |
| virtual

Destroys the wxMask object and the underlying bitmap data.

## Member Function Documentation

bool wxMask::Create | ( | const wxBitmap & | bitmap,
|  | int | index
| ) |  |

Constructs a mask from a bitmap and a palette index that indicates the background.

Not implemented for GTK.

Parameters

  bitmap | A valid bitmap.
  index | Index into a palette, specifying the transparency colour.

bool wxMask::Create | ( | const wxBitmap & | bitmap | ) |

Constructs a mask from a monochrome bitmap.

bool wxMask::Create | ( | const wxBitmap & | bitmap,
|  | const wxColour & | colour
| ) |  |

Constructs a mask from a bitmap and a colour that indicates the background.

wxBitmap wxMask::GetBitmap | ( |  | ) | const

Returns the mask as a monochrome bitmap.

Currently this method is implemented in wxMSW, wxGTK and wxOSX.

Since
  2.9.5